# SourcePath: freetype/20201130dev
Summary: A free and portable TrueType font rendering engine.
Name:	 sony-target-dev-freetype
%define	pkgname	%{sony_tool_triplet}-%{sony_target_dialect}-dev-freetype
Version: 2.7.1
Release: 12010001
License: FreeType License or GPL2
URL: http://www.freetype.org
Source: freetype-%{version}.tar.gz
Source1:modules.cfg
# LOT scripts
Source10: sony-freetype-libopt-build-freetype
Patch1:freetype-2.7.1-Gzip-Uncompress-fix.patch
Patch2:freetype-2.7.1-CVE-2020-15999.patch
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-zlib

%description
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments. FreeType is a library that can open and
manage font files, as well as efficiently load, hint, and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.

%package -n %{pkgname}
Summary:  A free and portable TrueType font rendering engine.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The FreeType engine is a free and portable TrueType font rendering
engine, developed to provide TrueType support for a variety of
platforms and environments. FreeType is a library that can open and
manage font files, as well as efficiently load, hint, and render
individual glyphs. FreeType is not a font server or a complete
text-rendering library.

%prep
%setup -q -n freetype-%{version}
cp -r %{SOURCE1} modules.cfg
%patch1 -p1
%patch2 -p1

%build
%sony_target_dev_setup
%demangle_XXX_config
%sony_target_dev_configure CFLAGS="-ffunction-sections -O2"


make  all| tee -a build.log

%install
rm -rf %{buildroot}
%sony_target_dev_setup

%sony_target_dev_makeinstall | tee -a build.log

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/freetype

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}

# Install Library Optimizer information (freetype)
install -m 755 %{SOURCE10} %{_optdir}/freetype/build
install -m 644 .libs/*.o %{_optdir}/freetype/
(cd %{_optdir}/freetype; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libfreetype.so -o *.o > index)
(umask 022; echo "/usr/lib/libfreetype.so.6" > %{_optdir}/freetype/path)

%demangle_libtool

# 6.x
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}/usr/share/man/man1/freetype-config.1

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfreetype.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfreetype.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libfreetype.la
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%dir %{sony_target_dir}%{sony_target_dev_data_dir}/aclocal
%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/freetype2.m4

# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%{sony_target_dir}%{sony_target_devtool_bin_dir}/freetype-config
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libfreetype.a
%dir %{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/freetype2.pc

%changelog
* Mon May 10 2021 Sony Corporation
- Initial build for CE Linux 12.1.0.X

* Mon Nov 30 2020 Sony Corporation
- Added CVE-fix for CVE-2020-15999.

* Tue Mar 20 2018 Sony Corporation
- updated 2.6 -> 2.7.1

* Wed Jan 18 2017 Sony Corporation
- updated 2.4.11 -> 2.6

* Thu May 05 2016 Sony Corporation 
- Added armhf support in LOT build script 

* Mon Apr 01 2013 Sony Corporation 
- Version-up 2.4.9 -> 2.4.11 

* Mon Apr 9 2012 Sony Corporation
- Added LOT support to freetype package

* Mon Mar 26 2012 Sony Corporation 
- Version-up 2.4.8 -> 2.4.9 

* Fri Dec 09 2011 Sony Corporation 
- Version-up 2.4.6 -> 2.4.8 

* Fri Sep 09 2011 Sony Corporation
- Version-up 2.4.4 -> 2.4.6

* Thu Jan 20 2011 Sony Corporation
- Version-up 2.4.3 -> 2.4.4

* Thu Dec 02 2010 Sony Corporation
- Add CVE-2010-3814 and CVE-2010-3855 fix patches.

* Fri Nov 26 2010 Sony Corporation
- Version-up 2.3.9 -> 2.4.3

* Tue May 26 2009 Sony Corporation
- add CVE-2009-0946 fix

* Tue Mar 31 2009 Sony Corporation
- Verup from 2.3.7 to 2.3.9

* Thu Mar 03 2009 Sony Corporation
- Enable OpenType support for DirectFB

* Thu Sep 18 2008 Sony Corporation
- Verup from 2.3.5 to 2.3.7

* Tue Jun 10 2008 Sony Corporation
- add %demangle_libtool
- add $CROSS_COMPILE_PREFIX in freetype-config

* Wed Apr 30 2008 Sony Corporation
- version-up 2.3.1 -> 2.3.5

* Tue Feb 27 2007 Sony Corporation
- Version update to 2.3.1

* Tue Nov 21 2006 Sony Corporation
- Initial build
